Как обновить php для апача?

Автор: ekkl Дата: 29.05.2009 22:55 Скачал новую версию ПХП 5.2.9 с оф.сайла.
выполнил
./configure
make
make test
make install

Серъезных предупреждений не было.
Теперь самое главное:
в консоли php --help выводит новую версию, ту что я ставил 5.2.9
а если через апач (с index.php вызывается функция phpinfo()) выводится старая версия 5.2.4
Перезапуск апача и даже всего линукса не помог.
Дальше, самое главное, для чего я и обновлял ПХП -- библионека sqlite. ("чистая" sqlite; та, что с pdo идет есть, но она не нужна)
Не пославилась. в папке расширений как не было, так и нет. Но вроде компилилась с сборке в папке extension есть модуль sqlite.o Хотя все остальные модули идут с расширениям so
когда под винду ставил -- там быле все библиотеки -- нужно только в пхп.ини раскоментировать нужную строку
Re: Как обновить php для апача? 30.05.2009 00:02BigAndy Либо ставьте с рпм, либо удалите прежнюю версию
Re: Как обновить php для апача? 30.05.2009 12:49daydrim Наверное, в каталоге modules лежит старая libphp5.so,
может быть надо в опциях компиляциях показать где находится apache
Re: Как обновить php для апача? 30.05.2009 14:58ekkl Старую версию удалил
rpm -e php
попытка собрать новую ни к чему не привела.
Как оказалось, нужно в configure подключать поддержку апача
./configure --with-aspx2


но при этом выводится ошибка, что нету apxs
Как, тогда рашьше, работал пхп с апачем?
Получается, для того, чтобы собрать пхп для апача, необходим исходник апача тоже?
Re: Как обновить php для апача? 30.05.2009 16:21daydrim дак нужно указать значение параметра
--with-apxs=/usr/local/apache/bin/apxs

или где он находится
Re: Как обновить php для апача? 30.05.2009 20:16ekkl daydrim Пишет:
-------------------------------------------------------
> дак нужно указать значение параметра
> --with-apxs=/usr/local/apache/bin/apxs
>
> или где он находится
Нэту apxs ни 1 ни 2 нэту. Улыбка
мне порекомендовали apache-devill с диструбтива установить.
Re: Как обновить php для апача? 30.05.2009 21:19BigAndy devill не надо .... Чур тебя.........
Re: Как обновить php для апача? 30.05.2009 22:37ekkl А devel ? Улыбка
Re: Как обновить php для апача? 30.05.2009 23:03peter_ir ekkl Пишет:
-------------------------------------------------------
> А devel ? Улыбка

А httpd-devel надо.
Re: Как обновить php для апача? 31.05.2009 13:46ekkl Совсем глупый вопрос:
В чем отличие между apache и httpd?
Насколько я понимаю, apache это название вебсервера а httpd это сама служба(или демон, как принято в линуксе), которой апач и управляет.
Re: Как обновить php для апача? 31.05.2009 15:00BigAndy ДЕйствительно вопрос глупый. Чтобы и далее таковых не задавать, читайте документацию ДО задания вопроса.
Re: Как обновить php для апача? 31.05.2009 15:56lkanter В чем разница между "москвичом" и автомобилем?
Re: Как обновить php для апача? 31.05.2009 16:48BigAndy >В чем разница между "москвичом" и автомобилем?
В том , что первый никогда, начиная с 1947 года (когда его содрали с опеля) таковым не являлся. Катается от смеха Не всегда некую подресоренную массу можно назвать автомобилем...
Re: Как обновить php для апача? 31.05.2009 17:42lkanter Ну, 412 с его мотором от BMW-1500 в своём 1968 году был очень даже неплохим аппаратом. А 2141 так вообще был лучшим автомобилем Совка. Так что не надо Улыбка
Re: Как обновить php для апача? 31.05.2009 19:54BigAndy С 412 - согласен.
А 2141 только корпус от крайслера унаследовал. Но, поскльку он таки остался в дебаг-версии, то его дебажить приходилось постоянно. У тестя был. Насмотрелся я...

Устати, у меня рядом в доме живет бывший макетчик АЗЛК. Он собственными руками вылизывал корпус 2141. Причем он отов был еще в 73 году. Их отправили в ГАнновер на выставку, где должен был выставляться новый крайслер. Под видом техработников они три дня делали гипсовую натурную копию машины, о которой ходили только слухи. А запуск в серию состоялся только десять лет спустя.

Хоршоший кузов, как водится, упростили в процессе согласований, толщину металла (штамповочной заготовки) уменьшили с .65 до .50, а позже до .43, убрали несколько важных прочостных элемен ов - и мы имеем то, что имеем.

Кстати, на 2141,скажем капот (бу) стоит дороже, чем на мой мерин новый турцекий.
Окончательный удар в конце 90-х нанес новый директор АЗЛК, который выгнал квалифицированных рабочих и заменил их вьетнамцами. Собственно сборки последних четырех лет были конструкторами для нервно устойчивых людей.

Удивительно, как с таким же подходом АвтоВаз жив...
Re: Как обновить php для апача? 31.05.2009 20:18lkanter BigAndy Пишет:
-------------------------------------------------------
> С 412 - согласен.
> А 2141 только корпус от крайслера унаследовал.
> Но, поскльку он таки остался в дебаг-версии, то
> его дебажить приходилось постоянно. У тестя был.
> Насмотрелся я...
>
> Устати, у меня рядом в доме живет бывший макетчик
> АЗЛК. Он собственными руками вылизывал корпус
> 2141. Причем он отов был еще в 73 году. Их
> отправили в ГАнновер на выставку, где должен был
> выставляться новый крайслер. Под видом
> техработников они три дня делали гипсовую натурную
> копию машины, о которой ходили только слухи. А
> запуск в серию состоялся только десять лет спустя.
>
>
> Хоршоший кузов, как водится, упростили в процессе
> согласований, толщину металла (штамповочной
> заготовки) уменьшили с .65 до .50, а позже до
> .43, убрали несколько важных прочостных элемен ов
> - и мы имеем то, что имеем.
>
Не знаю, у кого там что было готово, но вот здесь [ru.wikipedia.org] написано, что разработка 2141 велась c 1977 по 1984, и драли его не с Крайслера, а с Симки (которую с натяжкой можно назвать европейским Крайслером). Так что сказочник этот макетчик ваш.
Re: Как обновить php для апача? 31.05.2009 20:30BigAndy Разработка и макетное проектирование - суть разные вещи. У нас почем-то первй этап очень длительный всегда. За бугром - это недели. А у нас, хотя полно всяких аэродинамических труб и классных математиков, все равно на коленке ваяют.
RSS-материал